Bug 890466 - [virtio-win][scsi][S3]Wake up guest failed at some times while running crystal disk mark in the guest.
Summary: [virtio-win][scsi][S3]Wake up guest failed at some times while running crysta...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: virtio-win
Version: 7.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: 7.0
Assignee: Vadim Rozenfeld
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-27 06:12 UTC by Min Deng
Modified: 2014-11-03 09:56 UTC (History)
11 users (show)

Fixed In Version: virtio-win-prewhql-01-88
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-03 09:56:40 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Min Deng 2012-12-27 06:12:19 UTC
Description of problem:
Waking up guest failed while Running two crystal disk mark on guest (c:,d:) sometimes

Version-Release number of selected component (if applicable):
virtio-win-prewhql-01-49
How reproducible:

3 times  1 failed
Steps to Reproduce:
1./usr/libexec/qemu-kvm -m 2G -smp 2 -cpu cpu64-rhel6,+x2apic,family=0xf -usb -device usb-tablet -device virtio-scsi-pci,id=scsi0 -drive file=win7-32-clean.raw,format=raw,if=none,id=drive-virtio0,cache=writeback,werror=stop,rerror=stop -device scsi-hd,bus=scsi0.0,drive=drive-virtio0,id=virtio-blk-pci0,bootindex=1,serial=system -netdev tap,sndbuf=0,id=hostnet0,script=/etc/qemu-ifup,downscript=no -device e1000,netdev=hostnet0,mac=00:52:26:27:51:c6 -uuid e556eb83-f793-48e2-9661-b0f17499834d -no-kvm-pit-reinjection -chardev socket,id=111a,path=/tmp/monitor-win7-64-scsi,server,nowait -mon chardev=111a,mode=readline -chardev socket,id=seabios_debug,path=/tmp/monitor-seabios,server,nowait -device isa-debugcon,iobase=0x402,chardev=seabios_debug -device virtio-scsi-pci,id=scsi1 -drive file=disk1.raw,if=none,format=raw,cache=writeback,id=drive-virtio-data1,werror=stop,rerror=stop -device scsi-hd,bus=scsi1.0,id=virtio-data1,drive=drive-virtio-data1,serial=disk11,lun=1 -device virtio-scsi-pci,id=scsi2 -drive file=disk2.raw,if=none,cache=writethrough,format=raw,id=drive-virtio-data2,werror=stop,rerror=stop -device scsi-hd,bus=scsi2.0,id=virtio-data2,drive=drive-virtio-data2,serial=disk22,lun=2 -device virtio-scsi-pci,id=scsi3 -drive file=disk3.raw,cache=writethrough,if=none,format=raw,id=drive-virtio-data3,werror=stop,rerror=stop -device scsi-hd,bus=scsi3.0,id=virtio-data3,drive=drive-virtio-data3,serial=disk33,lun=3 -device virtio-scsi-pci,id=scsi4 -drive file=disk4.raw,if=none,format=raw,cache=none,id=drive-virtio-data4,werror=stop,rerror=stop -device scsi-hd,bus=scsi4.0,id=virtio-data4,drive=drive-virtio-data4,serial=dsik44,lun=4 -drive file=/mnt/add30.qcow2,if=none,format=qcow2,cache=none,id=drive-virtio-data5,werror=stop,rerror=stop -device scsi-hd,bus=scsi4.0,id=virtio-data5,drive=drive-virtio-data5,serial=dsik44,lun=5 -M rhel6.4.0 -monitor stdio -qmp tcp:0:4444,server,nowait -global PIIX4_PM.disable_s3=0 -global PIIX4_PM.disable_s4=0 -spice port=5931,disable-ticketing -vga qxl -rtc base=localtime,clock=host,driftfix=slew -device virtio-scsi-pci,id=scsi6 -drive file=/home/en_windows_7_ultimate_with_sp1_x86_dvd_619077.iso,if=none,media=cdrom,readonly=on,format=raw,id=cdrom1 -device scsi-cd,bus=scsi6.0,drive=cdrom1,id=scsi0-0 -device virtio-scsi-pci,id=scsi7 -drive file=/dev/sr0,if=none,media=cdrom,readonly=on,format=raw,id=cdrom2 -device scsi-cd,bus=scsi7.0,drive=cdrom2,id=scsi7-0

2.Running two crystal disk mark app for the c:\[40G] and d:\[1G] (the first and the second disk),the cache=writeback for the two disks.

3.try to wake up guest via keyboard or "system_wakeup" from monitor 
  
Actual results:
There is no response from guest
Expected results:
The guest can be waken up from user and the Crystal disk mark are still running

Additional info:
Parameters are "9  4000M" for the Crystal disk mark and so on so forth

Comment 1 Min Deng 2012-12-27 06:18:14 UTC
before step 3,do S3 in the guest please.

Comment 3 RHEL Program Management 2012-12-31 06:47:21 UTC
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Comment 7 Ronen Hod 2014-08-06 09:21:03 UTC
QE,
Worth checking with build-88. Vadim failed to reproduce lately.

Comment 8 Mike Cao 2014-08-15 07:50:40 UTC
For this bug ,need to test both -88 and -89(or newer)

Comment 9 Min Deng 2014-08-19 05:52:36 UTC
(In reply to Mike Cao from comment #8)
> For this bug ,need to test both -88 and -89(or newer)

Verified the bug on build 88 on both rhel6.6 host and rhel7 host
build info,
rhel6.6
kernel-2.6.32-492.el6.x86_64
qemu-kvm-rhev-0.12.1.2-2.430.el6.x86_64
seabios-0.6.1.2-28.el6.x86_64 (latest so far)
rhel7
kernel-3.10.0-145.el7.x86_64
qemu-kvm-rhev-2.1.0-2.el7.x86_64
seabios-bin-1.7.5-2.el7.noarch
seabios-1.7.5-2.el7.x86_64
seavgabios-bin-1.7.5-2.el7.noarch
--------------------------------------------------------------------------------
Steps,please refer to the bug's description
CLI,
  /usr/libexec/qemu-kvm -m 2G -smp 2 -cpu cpu64-rhel6,+x2apic,family=0xf -usb -device usb-tablet -device virtio-scsi-pci,id=scsi0 -drive file=win7-32-3.raw,format=raw,if=none,id=drive-virtio0,cache=writeback,werror=stop,rerror=stop -device scsi-hd,bus=scsi0.0,drive=drive-virtio0,id=virtio-blk-pci0,bootindex=1,serial=system -netdev tap,sndbuf=0,id=hostnet0,script=/etc/qemu-ifup,downscript=no -device e1000,netdev=hostnet0,mac=00:52:26:27:51:c6 -uuid e556eb83-f793-48e2-9661-b0f17499834d -no-kvm-pit-reinjection -chardev socket,id=111a,path=/tmp/monitor-win7-64-scsi,server,nowait -mon chardev=111a,mode=readline -chardev socket,id=seabios_debug,path=/tmp/monitor-seabios,server,nowait -device isa-debugcon,iobase=0x402,chardev=seabios_debug -device virtio-scsi-pci,id=scsi1 -drive file=disk1.raw,if=none,format=raw,cache=writeback,id=drive-virtio-data1,werror=stop,rerror=stop -device scsi-hd,bus=scsi1.0,id=virtio-data1,drive=drive-virtio-data1,serial=disk11,lun=1 -device virtio-scsi-pci,id=scsi2 -drive file=disk2.raw,if=none,cache=writethrough,format=raw,id=drive-virtio-data2,werror=stop,rerror=stop -device scsi-hd,bus=scsi2.0,id=virtio-data2,drive=drive-virtio-data2,serial=disk22,lun=2 -device virtio-scsi-pci,id=scsi3 -drive file=disk3.raw,cache=writethrough,if=none,format=raw,id=drive-virtio-data3,werror=stop,rerror=stop -device scsi-hd,bus=scsi3.0,id=virtio-data3,drive=drive-virtio-data3,serial=disk33,lun=3 -device virtio-scsi-pci,id=scsi4 -drive file=disk4.raw,if=none,format=raw,cache=none,id=drive-virtio-data4,werror=stop,rerror=stop -device scsi-hd,bus=scsi4.0,id=virtio-data4,drive=drive-virtio-data4,serial=dsik44,lun=4 -drive file=/mnt/add30.qcow2,if=none,format=qcow2,cache=none,id=drive-virtio-data5,werror=stop,rerror=stop -device scsi-hd,bus=scsi4.0,id=virtio-data5,drive=drive-virtio-data5,serial=dsik44,lun=5 -M rhel6.5.0 -monitor stdio -qmp tcp:0:4444,server,nowait -global PIIX4_PM.disable_s3=0 -global PIIX4_PM.disable_s4=0 -spice port=5931,disable-ticketing -vga qxl -rtc base=localtime,clock=host,driftfix=slew -device virtio-scsi-pci,id=scsi6 -drive file=/home/en_windows_7_ultimate_with_sp1_x86_dvd_u_677460.iso,if=none,media=cdrom,readonly=on,format=raw,id=cdrom1 -device scsi-cd,bus=scsi6.0,drive=cdrom1,id=scsi0-0 -device virtio-scsi-pci,id=scsi7 -drive file=/dev/sr0,if=none,media=cdrom,readonly=on,format=raw,id=cdrom2 -device scsi-cd,bus=scsi7.0,drive=cdrom2,id=scsi7-0


Actual results,the guest could resume from S3 successfully.
               system_wakeup or keyboard
Expected results,the guest could resume from S3 

So the bug has been fixed on build 88,thanks.

For build 89,there is installation issue for it.I will open a bug to trace it.


Note You need to log in before you can comment on or make changes to this bug.